#define _CRT_SECURE_NO_WARNINGS
#define _SILENCE_CXX17_C_HEADER_DEPRECATION_WARNING
#include <bits/stdc++.h>
using namespace std;
char s[1050];
int main()
{
    int T, n;
    scanf("%d", &T);
    while (T--)
    {
        scanf("%d%s", &n, s);
        puts((s + n - find(s, s + n, '8') > 10) ? "YES" : "NO");
    }
    return 0;
}
